Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class TextOutputCallback

    java.lang.Object
      javax.security.auth.callback.TextOutputCallback

All Implemented Interfaces:
  Serializable, Callback

    public class TextOutputCallback

extends Object
implements Callback, Serializable

Underlying security services instantiate and pass a `TextOutputCallback` to the `handle` method of a `CallbackHandler` to display information messages, warning messages and error messages.

See Also:
  `CallbackHandler`, Serialized Form

Field Summary
`static int` | `ERROR` Error message.
`static int` | `INFORMATION` Information message.
`static int` | `WARNING` Warning message.

Constructor Summary
`TextOutputCallback(int messageType, String message)` Construct a TextOutputCallback with a message type and message to be displayed.

Method Summary
`String` | `getMessage()` Get the message to be displayed.
`int` | `getMessageType()` Get the message type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFORMATION

    public static final int INFORMATION

  Information message.

  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  Warning message.

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Error message.

  See Also:
    Constant Field Values

Constructor Detail

### TextOutputCallback

    public TextOutputCallback(int messageType,
                              String message)

  Construct a TextOutputCallback with a message type and message to be displayed.

  Parameters:
    `messageType` - the message type (`INFORMATION`, `WARNING` or `ERROR`).

    `message` - the message to be displayed.

  Throws:
    `IllegalArgumentException` - if `messageType` is not either `INFORMATION`, `WARNING` or `ERROR`, if `message` is null, or if `message` has a length of 0.

Method Detail

### getMessageType

    public int getMessageType()

  Get the message type.

  Returns:
    the message type (`INFORMATION`, `WARNING` or `ERROR`).

### getMessage

    public String getMessage()

  Get the message to be displayed.

  Returns:
    the message to be displayed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.